<?xml version="1.0"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->

<xs:schema version="1.0"
           xmlns:xs="http://www.w3.org/2001/XMLSchema"
           elementFormDefault="qualified">
    <xs:element name="Customer">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="ID">
                    <xs:simpleType>
                        <xs:restriction base="xs:string">
                            <xs:length value="5"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="Name">
                    <xs:simpleType>
                        <xs:restriction base="xs:string">
                            <xs:pattern value="[A-Za-z]{2,8}"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="Street">
                    <xs:simpleType>
                        <xs:restriction base="xs:string">
                            <xs:maxLength value="30"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="NumStreet">
                    <xs:simpleType>
                        <xs:restriction base="xs:integer">
                            <xs:minInclusive value="0"/>
                            <xs:maxInclusive value="5000"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="PostalCode">
                    <xs:simpleType>
                        <xs:restriction base="xs:string">
                            <xs:length value="5"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="City">
                    <xs:simpleType>
                        <xs:restriction base="xs:string">
                            <xs:enumeration value="Madrid"/>
                            <xs:enumeration value="Barcelona"/>
                            <xs:enumeration value="Sevilla"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="Phone">
                    <xs:simpleType>
                        <xs:restriction base="xs:string">
                            <xs:pattern value="\d{3}[\-]\d{3}[\-]\d{3}"/>
                        </xs:restriction>
                    </xs:simpleType>
                </xs:element>
                <xs:element name="DateOfBirth" type="xs:date"/>
                <xs:element name="Discount" type="xs:boolean"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
</xs:schema>
